// This spec is automatically generated by a customised version of @withfig/commander
// Generated for @forge/cli@2.0.7-next.0

const completionSpec: Fig.Spec = {
  name: "@forge/cli",
  description: "A command line interface for managing Atlassian-hosted apps",
  subcommands: [
    {
      name: "autocomplete",
      description: "Configures autocomplete for the Forge CLI",
      options: [
        {
          name: "--verbose",
          description: "Enable verbose mode",
        },
        {
          name: ["-h", "--help"],
          description: "Display help for command",
          priority: 49,
        },
      ],
      args: {
        name: "install|uninstall",
        suggestions: ["install", "uninstall"],
      },
      priority: 10,
    },
    {
      name: "create",
      description: "Create an app",
      options: [
        {
          name: "--verbose",
          description: "Enable verbose mode",
        },
        {
          name: ["-t", "--template"],
          description: "Specify the template to use",
          args: {
            name: "template name",
          },
        },
        {
          name: ["-d", "--directory"],
          description:
            "Specify the directory to create (uses the template name by default)",
          args: {
            name: "directory name",
          },
        },
        {
          name: ["-h", "--help"],
          description: "Display help for command",
          priority: 49,
        },
      ],
      args: {
        name: "name",
        isOptional: true,
      },
      icon: "🆕",
      priority: 60,
    },
    {
      name: "deploy",
      description: "Deploy your app to an environment",
      options: [
        {
          name: "--verbose",
          description: "Enable verbose mode",
        },
        {
          name: ["-f", "--no-verify"],
          description: "Disable pre-deployment checks",
        },
        {
          name: ["-e", "--environment"],
          description:
            "Specify the environment from options: development, staging, production (default: development)",
          args: {
            name: "environment",
            isOptional: true,
          },
        },
        {
          name: "--non-interactive",
          description: "Run the command without input prompts",
        },
        {
          name: ["-h", "--help"],
          description: "Display help for command",
          priority: 49,
        },
      ],
      icon: "🚀",
      priority: 60,
    },
    {
      name: "feedback",
      description: "Let us know what you think about Forge",
      options: [
        {
          name: "--verbose",
          description: "Enable verbose mode",
        },
        {
          name: ["-h", "--help"],
          description: "Display help for command",
          priority: 49,
        },
      ],
      icon: "📢",
    },
    {
      name: "install",
      description: "Manage app installations",
      subcommands: [
        {
          name: "list",
          description: "List app installations",
          options: [
            {
              name: "--verbose",
              description: "Enable verbose mode",
            },
            {
              name: ["-h", "--help"],
              description: "Display help for command",
              priority: 49,
            },
          ],
        },
        {
          name: "help",
          description: "Display help for command",
          priority: 49,
          args: {
            name: "command",
            isOptional: true,
          },
        },
      ],
      options: [
        {
          name: "--verbose",
          description: "Enable verbose mode",
        },
        {
          name: ["-e", "--environment"],
          description:
            "Specify the environment from options: development, staging, production (default: development)",
          args: {
            name: "environment",
            isOptional: true,
          },
        },
        {
          name: ["-s", "--site"],
          description: "Site URL (example.atlassian.net)",
          args: {
            name: "site",
            isOptional: true,
          },
        },
        {
          name: ["-p", "--product"],
          description: "Product (Jira, Confluence, Compass)",
          args: {
            name: "product",
            isOptional: true,
          },
        },
        {
          name: "--upgrade",
          description: "Upgrade an existing installation",
        },
        {
          name: "--confirm-scopes",
          description:
            "Skip confirmation of scopes for the app before installing or upgrading the app",
        },
        {
          name: "--non-interactive",
          description: "Run the command without input prompts",
        },
        {
          name: ["-h", "--help"],
          description: "Display help for command",
          priority: 49,
        },
      ],
      icon: "💿",
      priority: 60,
    },
    {
      name: "lint",
      description: "Check the source files for common errors",
      options: [
        {
          name: "--verbose",
          description: "Enable verbose mode",
        },
        {
          name: "--fix",
          description: "Attempt to automatically fix any issues encountered",
        },
        {
          name: ["-e", "--environment"],
          description:
            "Specify the environment from options: development, staging, production (default: development)",
          args: {
            name: "environment",
            isOptional: true,
          },
        },
        {
          name: ["-h", "--help"],
          description: "Display help for command",
          priority: 49,
        },
      ],
      icon: "🧹",
    },
    {
      name: "login",
      description: "Log in to your Atlassian account",
      options: [
        {
          name: "--verbose",
          description: "Enable verbose mode",
        },
        {
          name: ["-u", "--email"],
          description: "Specify the email to use",
          args: {
            name: "user email",
          },
        },
        {
          name: ["-t", "--token"],
          description: "Specify the API token to use",
          args: {
            name: "api token",
          },
        },
        {
          name: "--non-interactive",
          description: "Run the command without input prompts",
        },
        {
          name: ["-h", "--help"],
          description: "Display help for command",
          priority: 49,
        },
      ],
      icon: "🔐",
    },
    {
      name: "logout",
      description: "Log out of your Atlassian account",
      options: [
        {
          name: "--verbose",
          description: "Enable verbose mode",
        },
        {
          name: ["-h", "--help"],
          description: "Display help for command",
          priority: 49,
        },
      ],
      icon: "🔓",
    },
    {
      name: "logs",
      description: "View app logs",
      options: [
        {
          name: "--verbose",
          description: "Enable verbose mode",
        },
        {
          name: ["-e", "--environment"],
          description:
            "Specify the environment from options: development, staging, production (default: development)",
          args: {
            name: "environment",
            isOptional: true,
          },
        },
        {
          name: ["-i", "--invocation"],
          description: "View logs for a given invocation ID",
          args: {
            name: "invocation",
          },
        },
        {
          name: ["-n", "--limit"],
          description: "Number of invocations to return",
          args: {
            name: "limit",
            default: "20",
          },
        },
        {
          name: ["-s", "--since"],
          description:
            "View logs since the specified time. valid formats: YYYY-MM-DD, ISO 8061 timestamp or a relative time (e.g: 5m, 10h, 2d)",
          args: {
            name: "since",
          },
        },
        {
          name: ["-g", "--grouped"],
          description: "Group logs by invocation ID",
        },
        {
          name: ["-h", "--help"],
          description: "Display help for command",
          priority: 49,
        },
      ],
      icon: "📃",
    },
    {
      name: "providers",
      description: "Manage external providers",
      subcommands: [
        {
          name: "configure",
          description: "Configure provider credentials",
          options: [
            {
              name: "--verbose",
              description: "Enable verbose mode",
            },
            {
              name: ["-s", "--oauth-client-secret"],
              description: "Client secret",
              args: {
                name: "oauthClientSecret",
                isOptional: true,
              },
            },
            {
              name: ["-e", "--environment"],
              description:
                "Specify the environment from options: development, staging, production (default: development)",
              args: {
                name: "environment",
                isOptional: true,
              },
            },
            {
              name: ["-h", "--help"],
              description: "Display help for command",
              priority: 49,
            },
          ],
          args: {
            name: "providerKey",
            isOptional: true,
          },
        },
        {
          name: "help",
          description: "Display help for command",
          priority: 49,
          args: {
            name: "command",
            isOptional: true,
          },
        },
      ],
      options: [
        {
          name: "--verbose",
          description: "Enable verbose mode",
        },
        {
          name: ["-h", "--help"],
          description: "Display help for command",
          priority: 49,
        },
      ],
      icon: "👥",
    },
    {
      name: "register",
      description:
        "Register an app you didn't create so you can run commands for it",
      options: [
        {
          name: "--verbose",
          description: "Enable verbose mode",
        },
        {
          name: ["-h", "--help"],
          description: "Display help for command",
          priority: 49,
        },
      ],
      args: {
        name: "name",
        isOptional: true,
      },
      icon: "📝",
    },
    {
      name: "settings",
      description: "Manage Forge CLI settings",
      subcommands: [
        {
          name: "list",
          description: "List Forge CLI settings",
          options: [
            {
              name: "--verbose",
              description: "Enable verbose mode",
            },
            {
              name: ["-h", "--help"],
              description: "Display help for command",
              priority: 49,
            },
          ],
        },
        {
          name: "set",
          description: "Update Forge CLI setting (choices: usage-analytics)",
          options: [
            {
              name: "--verbose",
              description: "Enable verbose mode",
            },
            {
              name: ["-h", "--help"],
              description: "Display help for command",
              priority: 49,
            },
          ],
          args: [
            {
              name: "setting",
            },
            {
              name: "boolean",
            },
          ],
        },
        {
          name: "help",
          description: "Display help for command",
          priority: 49,
          args: {
            name: "command",
            isOptional: true,
          },
        },
      ],
      options: [
        {
          name: "--verbose",
          description: "Enable verbose mode",
        },
        {
          name: ["-h", "--help"],
          description: "Display help for command",
          priority: 49,
        },
      ],
      icon: "⚙️",
    },
    {
      name: "tunnel",
      description:
        "Start a tunnel to connect your local code with the app running in the development environment",
      options: [
        {
          name: "--verbose",
          description: "Enable verbose mode",
        },
        {
          name: ["-d", "--debug"],
          description: "Enable debugger mode",
        },
        {
          name: ["-h", "--help"],
          description: "Display help for command",
          priority: 49,
        },
      ],
      icon: "🔮",
      priority: 60,
    },
    {
      name: "uninstall",
      description: "Uninstall the app from an Atlassian site",
      options: [
        {
          name: "--verbose",
          description: "Enable verbose mode",
        },
        {
          name: ["-h", "--help"],
          description: "Display help for command",
          priority: 49,
        },
      ],
      args: {
        name: "installationId",
        isOptional: true,
      },
      icon: "❌",
    },
    {
      name: "variables",
      description: "Manage app environment variables",
      subcommands: [
        {
          name: "set",
          description: "Set an environment variable",
          options: [
            {
              name: "--verbose",
              description: "Enable verbose mode",
            },
            {
              name: "--encrypt",
              description: "Encrypt variable",
            },
            {
              name: ["-e", "--environment"],
              description:
                "Specify the environment from options: development, staging, production (default: development)",
              args: {
                name: "environment",
                isOptional: true,
              },
            },
            {
              name: ["-h", "--help"],
              description: "Display help for command",
              priority: 49,
            },
          ],
          args: [
            {
              name: "key",
              isOptional: true,
            },
            {
              name: "value",
              isOptional: true,
            },
          ],
        },
        {
          name: "unset",
          description: "Remove an environment variable",
          options: [
            {
              name: "--verbose",
              description: "Enable verbose mode",
            },
            {
              name: ["-e", "--environment"],
              description:
                "Specify the environment from options: development, staging, production (default: development)",
              args: {
                name: "environment",
                isOptional: true,
              },
            },
            {
              name: ["-h", "--help"],
              description: "Display help for command",
              priority: 49,
            },
          ],
          args: {
            name: "key",
          },
        },
        {
          name: "list",
          description: "List the environment variables",
          options: [
            {
              name: "--verbose",
              description: "Enable verbose mode",
            },
            {
              name: ["-e", "--environment"],
              description:
                "Specify the environment from options: development, staging, production (default: development)",
              args: {
                name: "environment",
                isOptional: true,
              },
            },
            {
              name: ["-h", "--help"],
              description: "Display help for command",
              priority: 49,
            },
          ],
        },
        {
          name: "help",
          description: "Display help for command",
          priority: 49,
          args: {
            name: "command",
            isOptional: true,
          },
        },
      ],
      options: [
        {
          name: "--verbose",
          description: "Enable verbose mode",
        },
        {
          name: ["-h", "--help"],
          description: "Display help for command",
          priority: 49,
        },
      ],
      icon: "🅰️",
    },
    {
      name: "webtrigger",
      description: "Get a web trigger URL",
      options: [
        {
          name: "--verbose",
          description: "Enable verbose mode",
        },
        {
          name: ["-f", "--functionKey"],
          description: "Web trigger key from the manifest.yml file",
          args: {
            name: "function",
            isOptional: true,
          },
        },
        {
          name: ["-h", "--help"],
          description: "Display help for command",
          priority: 49,
        },
      ],
      args: {
        name: "installationId",
        isOptional: true,
      },
      icon: "🌐",
    },
    {
      name: "whoami",
      description: "Display the account information of the logged in user",
      options: [
        {
          name: "--verbose",
          description: "Enable verbose mode",
        },
        {
          name: ["-h", "--help"],
          description: "Display help for command",
          priority: 49,
        },
      ],
      icon: "👤",
    },
    {
      name: "help",
      description: "Display help for command",
      priority: 49,
      args: {
        name: "command",
        isOptional: true,
      },
      icon: "❓",
    },
  ],
  options: [
    {
      name: ["-V", "--version"],
      description: "Output the version number",
    },
    {
      name: "--verbose",
      description: "Enable verbose mode",
    },
    {
      name: ["-h", "--help"],
      description: "Display help for command",
      priority: 49,
    },
  ],
};

export default completionSpec;
